For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • POSTCopy version stack
      • POSTCreate version stack
      • GETList version stack children
      • GETList version stacks
      • PATCHMove version stack
      • GETShow version stack

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceVersion Stacks

List version stack children

GET
https://api.frame.io/v4/accounts/:account_id/version_stacks/:version_stack_id/children
GET
/v4/accounts/:account_id/version_stacks/:version_stack_id/children
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.version_stacks.index(
8 account_id="2ad6dc91-17af-4892-b347-942d87ec4655",
9 version_stack_id="3e5f9c0f-2c76-4154-91cb-8d229e5991e8",
10 include="media_links.original",
11)
1{
2 "data": [
3 {
4 "type": "file",
5 "created_at": "2023-09-25T19:18:29.614189Z",
6 "file_size": 1137444,
7 "id": "b3bbca67-8df1-4fd4-8869-5a1192831d55",
8 "media_type": "image/png",
9 "name": "asset.png",
10 "parent_id": "082cae25-f199-4f09-852a-d201ff9240c7",
11 "project_id": "1ba23162-1f0f-4ea6-9cf0-15fe47d759d0",
12 "status": "created",
13 "updated_at": "2024-02-07T16:44:41.986478Z",
14 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
15 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
16 "adobe_version_id": "2",
17 "creator": {
18 "active": true,
19 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
20 "email": "user_email@example.com",
21 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
22 "name": "Jon Doe"
23 },
24 "media_links": {
25 "high_quality": {
26 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN"
27 },
28 "original": {
29 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
30 "inline_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=inline%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragSDFXDFh&1Key-Pair-Id=KKI497NESTHMN"
31 },
32 "thumbnail": {
33 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
34 "url": "https://picture2.frame.io/image/s3://frameio-assets-development/image/cd58cb8e-24b3-4498-8d0f-9532fcd04d11/image_full.png?alg=HS256&sig=0_u7w_wz2MwQHOXp000ibbQSMRijujyaUu8V3YYPxu4&exp=1729857600"
35 }
36 },
37 "metadata": [
38 {
39 "field_type": "select",
40 "field_definition_id": "a4ba58de-701d-4b9e-b876-83416e9eec2f",
41 "field_definition_name": "Fields definition name",
42 "mutable": true,
43 "value": [
44 {
45 "display_name": "Display name",
46 "id": "b5f0426a-9c34-494d-a129-4bbb7760947b"
47 }
48 ],
49 "field_options": [
50 {
51 "display_name": "Display name",
52 "id": "b5f0426a-9c34-494d-a129-4bbb7760947b"
53 },
54 {
55 "display_name": "Display name 2",
56 "id": "9a686480-d75e-4065-bccc-9a7de1e4a3e0"
57 }
58 ]
59 }
60 ],
61 "project": {
62 "created_at": "2024-01-25T19:18:29.614189Z",
63 "id": "fc166901-1b13-49d7-b9c0-c35741e898d3",
64 "name": "My Project",
65 "root_folder_id": "c49b3469-7424-4837-a755-daa5f9adc83d",
66 "status": "active",
67 "storage": 15000,
68 "updated_at": "2024-02-07T16:44:41.986478Z",
69 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
70 "workspace_id": "33798d82-c243-4b4a-a609-5b5b0226923a",
71 "description": "Project Description",
72 "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3",
73 "restricted": false,
74 "owner": {
75 "active": true,
76 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
77 "email": "user_email@example.com",
78 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
79 "name": "Jon Doe"
80 }
81 }
82 }
83 ],
84 "links": {
85 "next": "/v4/accounts/123/folders/123/version_stacks"
86 },
87 "total_count": 10
88}
List the children (files) in a given version stack. <br/> Use the `include` query parameter to selectively include additional properties in the response. <br/> Note: if you include `media_links.original` and the user does not have permission to download files in the corresponding project, then this endpoint will respond with a `403 Forbidden` error. If the content is inaccessible because watermarking is required for this user and isn't supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including `media_links.video_h264_180` on a static image file) or transoding process hasn't finished (i.e. the file's `status` is "uploaded" rather than "transcoded"), then the a media link will also be set to null in the response payload. In short, the client must handle null media links gracefully. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
このページは役に立ちましたか?
前へ

List version stacks

次へ

List the children (files) in a given version stack.


Use the include query parameter to selectively include additional properties in the response.


Note: if you include media_links.original and the user does not have permission to download files in the corresponding project, then this endpoint will respond with a 403 Forbidden error. If the content is inaccessible because watermarking is required for this user and isn’t supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including media_links.video_h264_180 on a static image file) or transoding process hasn’t finished (i.e. the file’s status is “uploaded” rather than “transcoded”), then the a media link will also be set to null in the response payload. In short, the client must handle null media links gracefully.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
version_stack_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

クエリパラメータ

includeenumオプション
Supported include query parameter values for endpoints that return files with media links
afterstringオプション

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerオプション1-100デフォルト値 50
Page size query param for requests
include_total_countbooleanオプションデフォルト値 false
Page query param to include the count of all entities

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
datalist of objects
Assets
linksobject
Links to paginated data
total_countinteger or null
Total count

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).